# Verbose Tracer

class pypdevs.tracers.tracerVerbose.TracerVerbose(uid, server, filename)

  A tracer for simple verbose output

  __init__(uid, server, filename)

    Constructor

    Parameters

      - uid – the UID of this tracer

      - server – the server to make remote calls on

      - filename – file to save the trace to, can be None for output to stdout

  startTracer(recover)

    Starts up the tracer

    Parameters

      recover – whether or not this is a recovery call (so whether or not the file should be appended to)

  stopTracer()

    Stop the tracer

  trace(time, text)

    Actual tracing function

    Parameters

      - time – time at which this trace happened

      - text – the text that was traced

  traceConfluent(aDEVS)

    Tracing done for the confluent transition function

    Parameters

      aDEVS – the model that transitioned

  traceExternal(aDEVS)

    Tracing done for the external transition function

    Parameters

      aDEVS – the model that transitioned

  traceInit(aDEVS, t)

    Tracing done for the initialisation

    Parameters

      - aDEVS – the model that was initialised

      - t – time at which it should be traced

  traceInternal(aDEVS)

    Tracing done for the internal transition function

    Parameters

      aDEVS – the model that transitioned

  traceUser(time, aDEVS, variable, value)

    Tracing done for a user change

    Parameters

      - aDEVS – the model that was initialised

      - time – time at which it should be traced

      - variable – the variable that was changed

      - value – the new value for the variable